Bug 608237 - No graphic config wizard/workaround available in openSUSE after removal of sax2 in openSUSE-11.3 M7
No graphic config wizard/workaround available in openSUSE after removal of sa...
Status: VERIFIED WONTFIX
Classification: openSUSE
Product: openSUSE 11.3
Classification: openSUSE
Component: Other
RC 2
i686 openSUSE 11.3
: P5 - None : Major (vote)
: ---
Assigned To: Lee Matheson
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 10:49 UTC by Lee Matheson
Modified: 2010-07-05 20:22 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Matheson 2010-05-24 10:49:05 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.3) Gecko/20100401 SUSE/3.6.3-1.2 Firefox/3.6.3

In openSUSE-11.3 sax2 M7 was removed. I believe the removal of sax2 was because it is depreciated and no longer maintained, and hence more problems were creeping in.  Still sax2 would work some of the time, and it was the ONLY graphic wizard available on openSUSE for configuring graphics when the Xorg automatic graphic configuration failed.  Unfortunately, the Xorg automatic configuration is still immature and fails far too often.  Thus users are forced manually to try and create an Xorg configuration, with NO tool available after the demise of sax2.

Note nVidia recommend users use the VESA driver until they can get the proprietary nVidia driver installed. However it is NOT possible on openSUSE to configure with the VESA driver without application wizard like sax2.  

As a minimum, an interim wizard/tool is needed to manually configure graphics (to different graphic drivers) when the automatic Xorg fails. And even when the Xorg auto config works reliably for all hardware (which it currently does not) the removal of a tool letting the user choose their own driver (and configure) is questionable.

Linux is supposed to be about choice, and by removing this sax2 tool with no wizard replacement, it is making the possibility of user choice much more difficult.

I recommend the sax2 applications, even in their depreciated state, be included in 11.3, until a replacement graphical wizard can be implemented.


Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Lee Matheson 2010-05-24 14:23:26 UTC
One idea is a work around to this (removal of sax2), which might be to produce a wiki with useful information to help users when there is no sax2 (and when Xorg auto config does not work), listing work arounds for different drivers.

ie possibly things like using the boot code:  "linux xdriver=vesa" or "linux xdriver=fbdev" (although those did not work well for me last time I tried them).

other possible entries to a Graphic work around wiki would be how to force a vesa or fbdev boot when the "nomodeset" boot code does not work.   For example, I successfully booted a laptop to the fbdev driver on an 11.3 liveCD when the "nomodeset" did not work (ie neither intel, nor vesa drivers worked). I did this by using "vi" to edit /etc/X11/xorg.conf.d/50-Device.conf, adding the line:

Driver "fbdev"

Thats a painful approach, but what else is there ?

... that is just an example, but if we are to remove sax2, I do not believe we can simply rely on Xorg automatically working, with 'nomodeset' as a work around. Thats not enough in my opinion.

We need something more when sax2 is dropped, and maybe we can cover this with a good (really really good) wiki with work arounds ! 

Thanks for all your work ... I'm just trying to make my life easier on the forum support side of the house, when the complaints start coming in (which I predict will happen).
Comment 2 Stefan Dirsch 2010-05-24 18:50:46 UTC
The sax2 removal has been announced on opensuse-factory.

  http://lists.opensuse.org/opensuse-factory/2010-05/msg00251.html

Also it was (and still is) no longer functional at all ...
Comment 3 Lee Matheson 2010-05-24 21:36:26 UTC
I do understand if there are no maintainers, then it can't be maintained. :) ... C'est la vie.

What are the odds of having various command line suggestions for Xorg being put in a wiki (or some other blog/venue) to train those of us who are trying to give support to openSUSE users whose graphics are not automatically configured by Xorg nor work with the "nomodeset" work around?  

I don't know enough to do this myself, as I don't know what is implemented in openSUSE kernel for boot codes ... etc .. Are "xmodule=fbdev" or "xmodule=vesa" supposed to work ?  (I could not get them to work, but maybe my syntax was wrong). Are there other boot codes, etc ... Just who are the experts in this, who have the knowledge they can pass on?

I managed to force a boot to fbdev with an edit to 50-device.conf, but is that approach frowned upon (when xorg auto conf, and nomodset work around fail) ?

I assume proposing a wizard "other" than sax2 belongs in openFate, but thats too late for openSUSE-11.3.  Hence my only idea is a support wiki.
Comment 4 Lee Matheson 2010-05-24 23:04:32 UTC
Any assessments as to how good (or bad) the application Xorg is for creating an xorg.conf (for occasions where the Xorg auto config (and also nomodeset) fail) ?

It is noted that one can use:

Xorg -configure

(which creates a /root/xorg.conf.new file, that can be copied to /etc/X11/xorg.conf and edited).  

I ran that (Xorg -configure) earlier in run level 3 on a rather troublesome i855 graphics fitted laptop PC, and while "Xorg -configure" seg faulted, it still did create a /root/xorg.conf.new file that I was able to copy to /etc/X11/xorg.conf, and edit with 'vi' , replacing "intel" (in the two "Device" sections) with "vesa", and exit root permissions, followed by booting X successfully with "startx".

Hence maybe that needs to be the "less" than perfect work around to sax2 being removed?

Is that preferable to a hand edit to /etc/X11/xorg.conf.d/50-device.conf ?
Comment 5 Lee Matheson 2010-05-25 05:45:23 UTC
This Gentoo X Server Configuration HOWTO/guide http://www.gentoo.org/doc/en/xorg-config.xml was pointed out to me, where they recommend, for cases where the Xorg failed to automatically configure X with a graphic card, not to immediately create an xorg.conf, but rather to attempt to tune HAL (see section 3 in that guide).  Is the same true for openSUSE-11.3 ?

This and the other points noted above (such as edits to /etc/X11/xorg.conf.d/50-devices.conf, and running of "Xorg -configure" and using boot codes (which may or may not work) such as "xmodule=<driver> , are the sort of items I believe need to be captured in a wiki, by someone who understands the openSUSE implementation.  

IMHO that could mitigate the removal of sax2.  

Can anyone in SuSE-GmbH (or the openSUSE community) provide the information for such a wiki ?
Comment 6 Lee Matheson 2010-05-25 07:55:27 UTC
I note from this blog entry: http://who-t.blogspot.com/2010_01_01_archive.html that three new features in Xorg are udev backend support, support for an xorg.conf.d configuration directory, and support for matching rules in the xorg.conf.  Does this replace using HAL "as the provider of the input devices" for Xorg for openSUSE ?  

I believe any work arounds (to removal of sax2), should be consistent with the openSUSE Xorg implementation, and it would be more "efficient" for someone who knows what is actually in place in openSUSE Xorg to write a rough guide (others can "polish" the guide ) as opposed to the support team being forced to reverse engineer what has been done (when trying to create helpful documentation for the user community).

Thanks for all the efforts !
Comment 7 Lee Matheson 2010-06-08 08:20:53 UTC
I see that this bug report was re-assigned to me to resolve !  Arggg .... I'm far from an expert on this.  I did document the little I know here:  http://forums.opensuse.org/information-new-users/advanced-how-faq-read-only/438705-opensuse-graphic-card-practical-theory-guide-users.html and I could create a wiki with that information.  But that is mostly based on reverse engineering examinations as to what has been done, as opposed to being on top of what is in place and what is planned for the future.  

Any suggestions as to where I should look to be better informed as to what SuSE-GmbH are implementing for grahics drivers (with the Xorg changes, and recent nVidia and ATI policies wrt legacy hardware and drivers) the entire Linux graphics driver situation is in more flux than what I am used to. :)
Comment 8 Lee Matheson 2010-06-11 10:52:16 UTC
As noted, I'm willing to write a wiki, but I need more information from which to write it.  Being forced to reverse engineer what is being done on openSUSE-11.3 to write a wiki is not the most efficient way to do this.  

Can anyone point me to details as to what is being implemented in openSUSE-11.3 wrt the /etc/X11/xorg.conf/ directory contents (and what SuSE-GmbH recommend there if the Xorg autoconfig should fail), and also decribe in top level terms how the Xorg autoconfig works? ie does it use HAL ? Does it use UDEV ?

I have documented the "little" I know here : 
http://forums.opensuse.org/information-new-users/advanced-how-faq-read-only/438705-opensuse-graphic-card-practical-theory-guide-users.html

However the above is an openSUSE forum guide, and it is NOT a wiki. And it is lacking the information I need for the wiki.
Comment 9 Lee Matheson 2010-06-11 12:02:50 UTC
Browsing the mailing lists I managed to learn that for 11.3 Xorg will use UDEV and not HAL: http://lists.opensuse.org/opensuse-factory/2010-01/ ... but I'm still interested in the answer to the other questions I have on 2010-06-11 so I can create a helpful wiki to "fill the gap" between removal of sax2 and superior implementation of the Xorg autoconfig.
Comment 10 Stefan Dirsch 2010-06-11 12:12:19 UTC
Here are some pointers.

- https://wiki.ubuntu.com/X/Config
- http://fedoraproject.org/wiki/Input_device_configuration
- http://who-t.blogspot.com/2010/01/new-configuration-world-order.html
- xorg-server 1.8/udev
  * /sbin/udevd -V
  * udevadm test /class/input/eventX
  * udevadm info -e | grep ID_INPUT (KEYBOARD, MOUSE, KEY, TOUCHPAD, ...)
  * Does re-plugging the input devices makes them appear?
    If they can't be removed/connected, try:
    udevadm trigger -v --subsystem-match=input
Comment 11 Lee Matheson 2010-06-12 09:16:13 UTC
Stefan thank you for the pointers.  For 11.3 I am thinking/proposing the guidance to give for users when Xorg fails to automatically configure X, and one can not reach X is the following order of tries:
1. Try from grub with boot code: nomodeset=1
2. Try from grub: failsafe
3. Try from run level-3 /etc/X11: cp xorg.conf.install xorg.conf [ie for fbdev boot if xorg.conf.install exists]
4. Try from run level-3:  Xorg -configure ; cp /root/xorg.conf.new /etc/X11/xorg.conf (and edit as required (example change "radeon" to "vesa" driver ... ))
5. Try proprietary ATI or nVidia graphic driver (point to other wiki)
6. Using info from step-3 or step-4 above, edit /etc/X11/xorg.conf.d/50-device.conf (or other file in that directory)
7. Try Udev edits as last resort (due to complexity) 

... and of course anywhere during those steps, contact IRC chat #suse or openSUSE forums for help.

The above is just an outline. Wiki would need hand holding details.
Comment 12 Lee Matheson 2010-06-21 06:59:16 UTC
Status/update:  With the intention to meet the action assisgned, I have started writing a wiki for 11.3 (and earlier openSUSE versions) to capture what I had in mind:  http://wiki.opensuse.org/User:Oldcpu/Configure_Graphics

this is still only about 20% complete, but I have to have enough completed for openSUSE-11.3 GM relesae that it will be useful.

Currently it is under the "User:Oldcpu" wiki directory, with the intention to moving it to its own area once it is more mature.

Please, edits/corrections/updates to this are most welcome.
Comment 13 Martin Seidler 2010-06-22 19:51:19 UTC
Shout the version be changed to "RC 1"?
Comment 14 Lee Matheson 2010-06-23 05:33:00 UTC
I changed the version number of the bug from factory to RC1 as noted.  This new wiki is now located here: http://wiki.opensuse.org/SDB:Configuring_graphics_cards  

The new wiki still needs work to integrate its content better with existing wiki, and it also needs work on the UDEV section (for advanced users), but I believe in its current forum it provides sufficient guidance for openSUSE-11.3 users to try alternate graphic configurations, when their graphic card is not appropriately functioning.  

There is also discussion in openFate here: https://features.opensuse.org/308357 to track requirements for any possible graphic wizard to replace sax2, which the user base may or may not require.

Hence I propose that this bug 608237 be closed given (1) the wiki and (2) the previous openFate submission.
Comment 15 Martin Seidler 2010-06-23 06:54:35 UTC
(In reply to comment #14)
> This new
> wiki is now located here:
> http://wiki.opensuse.org/SDB:Configuring_graphics_cards  
Now this great work is at http://wiki.opensuse.org/SDB:Configuring_graphics_cards as "SDB:Configuring graphics cards".
Comment 16 Lee Matheson 2010-07-05 20:22:38 UTC
I am closing this bug report as initiator.  Fixing 'sax2' for future use is not an appropriate approach because Sax2 has clearly been dropped from distribution as there are no resources/volunteers in community to maintain the software. 

In most cases the automatic xorg configuration should suffice, and to help cover cases where it does not suffice a wiki http://wiki.opensuse.org/SDB:Configuring_graphics_cards was written to provide guidance to users.  

The possibility of a new graphic configuration wizard being created for use sometime in the future is being proposed in openFate https://features.opensuse.org/308357.